using SatelliteProvider.Common.DTO;

namespace SatelliteProvider.Common.Interfaces;

public interface IRegionRequestQueue
{
    ValueTask EnqueueAsync(RegionRequest request, CancellationToken cancellationToken = default);
    ValueTask<RegionRequest?> DequeueAsync(CancellationToken cancellationToken = default);
    int Count { get; }
}

